# Uses of Class
org.springframework.jdbc.core.namedparam.MapSqlParameterSource

Packages that use MapSqlParameterSource
Package
Description
org.springframework.jdbc.core.namedparam
JdbcTemplate variant with named parameter support.

## Uses of MapSqlParameterSource in org.springframework.jdbc.core.namedparam

Methods in org.springframework.jdbc.core.namedparam that return MapSqlParameterSource
Modifier and Type
Method
Description
`MapSqlParameterSource`
MapSqlParameterSource.`addValue(String paramName, Object value)`
Add a parameter to this parameter source.
`MapSqlParameterSource`
MapSqlParameterSource.`addValue(String paramName, Object value, int sqlType)`
Add a parameter to this parameter source.
`MapSqlParameterSource`
MapSqlParameterSource.`addValue(String paramName, Object value, int sqlType, String typeName)`
Add a parameter to this parameter source.
`MapSqlParameterSource`
MapSqlParameterSource.`addValues(Map<String,?> values)`
Add a Map of parameters to this parameter source.